package com.yuchen.saas.park.api.entity.property;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.nest.springwrap.core.mp.base.BaseEntity;

/**
 * <p>
 * 车辆房源关系表
 * </p>
 *
 * @author 洪铭铭
 * @since 2024-10-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("car_property_relation")
@ApiModel(value="CarPropertyRelation对象", description="车辆房源关系表")
public class CarPropertyRelation extends BaseEntity {

    /**
     * 车辆id
     */
    @ApiModelProperty(value = "车辆id")
    @TableField("car_id")
    private Long carId;

    /**
     * 社区id
     */
    @ApiModelProperty(value = "社区id")
    @TableField("park_id")
    private Long parkId;

    /**
     * 社区名称
     */
    @ApiModelProperty(value = "社区名称")
    @TableField("park_name")
    private String parkName;

    /**
     * 楼栋id
     */
    @ApiModelProperty(value = "楼栋id")
    @TableField("building_id")
    private Long buildingId;

    /**
     * 建筑名称
     */
    @ApiModelProperty(value = "建筑名称")
    @TableField("building_name")
    private String buildingName;

    /**
     * 单元id
     */
    @ApiModelProperty(value = "单元id")
    @TableField("building_unit_id")
    private Long buildingUnitId;

    /**
     * 单元名称
     */
    @ApiModelProperty(value = "单元名称")
    @TableField("building_unit_name")
    private String buildingUnitName;

    /**
     * 楼层id
     */
    @ApiModelProperty(value = "楼层id")
    @TableField("floor_id")
    private Long floorId;

    /**
     * 楼层名称
     */
    @ApiModelProperty(value = "楼层名称")
    @TableField("floor_name")
    private String floorName;

    /**
     * 房间id
     */
    @ApiModelProperty(value = "房间id")
    @TableField("room_id")
    private Long roomId;

    /**
     * 房间名称
     */
    @ApiModelProperty(value = "房间名称")
    @TableField("room_name")
    private String roomName;

    /**
     * 绑定状态 1：已绑定 2：未绑定 3：已失效
     */
    @ApiModelProperty(value = "绑定状态 1：已绑定 2：未绑定 3：已失效")
    @TableField("bind_status")
    private Integer bindStatus;

    public Long getCarId() {
        return carId;
    }

    public void setCarId(Long carId) {
        this.carId = carId;
    }

    public Long getParkId() {
        return parkId;
    }

    public void setParkId(Long parkId) {
        this.parkId = parkId;
    }

    public String getParkName() {
        return parkName;
    }

    public void setParkName(String parkName) {
        this.parkName = parkName;
    }

    public Long getBuildingId() {
        return buildingId;
    }

    public void setBuildingId(Long buildingId) {
        this.buildingId = buildingId;
    }

    public String getBuildingName() {
        return buildingName;
    }

    public void setBuildingName(String buildingName) {
        this.buildingName = buildingName;
    }

    public Long getBuildingUnitId() {
        return buildingUnitId;
    }

    public void setBuildingUnitId(Long buildingUnitId) {
        this.buildingUnitId = buildingUnitId;
    }

    public String getBuildingUnitName() {
        return buildingUnitName;
    }

    public void setBuildingUnitName(String buildingUnitName) {
        this.buildingUnitName = buildingUnitName;
    }

    public Long getFloorId() {
        return floorId;
    }

    public void setFloorId(Long floorId) {
        this.floorId = floorId;
    }

    public String getFloorName() {
        return floorName;
    }

    public void setFloorName(String floorName) {
        this.floorName = floorName;
    }

    public Long getRoomId() {
        return roomId;
    }

    public void setRoomId(Long roomId) {
        this.roomId = roomId;
    }

    public String getRoomName() {
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }

    public Integer getBindStatus() {
        return bindStatus;
    }

    public void setBindStatus(Integer bindStatus) {
        this.bindStatus = bindStatus;
    }
}
